## saytime 1.0

=== Makefile ===
# Makefile for saytime.

saytime:	saytime.c
	cc -O -DSOUND_DIR=\"/users/mag/games/sounds/audio\" saytime.c -o saytime

clean:
	rm -f saytime

=== debian/changelog ===
saytime (1.0-37) unstable; urgency=medium

  * Fix build with gcc-15. Closes: #1097846. Thanks to Jochen Sprickerhof.
  * Bump standards version to 4.7.2, no changes needed.
  * Stop build-depending on quilt.
  * Use main as main git branch name.

 -- Holger Levsen <holger@debian.org>  Wed, 17 Sep 2025 20:57:40 +0200

saytime (1.0-36) unstable; urgency=medium

  * Add debian/patches/105-fix-incompatible-pointer-types-1091254.patch.
    Closes: #1091254. Thanks to zeha and iam_tj.
  * Bump standards version to 4.7.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 25 Dec 2024 18:23:02 +0100

saytime (1.0-35) unstable; urgency=medium

  * Update standards version to 4.6.0, no changes needed.

 -- Holger Levsen <holger@debian.org>  Wed, 29 Sep 2021 22:48:58 +0200

saytime (1.0-34) unstable; urgency=medium

  * Bump debhelper-compat to 13.

 -- Holger Levsen <holger@debian.org>  Tue, 09 Jun 2020 02:20:07 +0200

saytime (1.0-33) unstable; urgency=medium

  * Update standards version to 4.5.0, no changes needed.
  * Use canonical URL in Vcs-Browser, thanks lintian-brush.
  * Create debian/source/lintian-overrides and add no-homepage-field and
    upstream-metadata-file-is-missing as there is no upstream anymore.
  * Drop debian/saytime.prerm which was needed in pre-#322762 times (aka the
    /usr/share/doc transition), so more than 10 years ago.

 -- Holger Levsen <holger@debian.org>  Thu, 05 Mar 2020 18:12:42 +0100

saytime (1.0-32) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dpkg's buildtools.mk supply $(CC). Closes: #939513
    Thanks to Helmut Grohne for the bug report and patch.

 -- Holger Levsen <holger@debian.org>  Thu, 05 Sep 2019 21:40:46 +0200

saytime (1.0-31) unstable; urgency=medium

  * Bump standards version to 4.4.0, no changes needed.
  * Bump debhelper-compat to 12.

 -- Holger Levsen <holger@debian.org>  Wed, 04 Sep 2019 13:19:27 +0200

saytime (1.0-30) unstable; urgency=medium

  * Bump standards version to 4.2.1, no changes needed.
  * Use the new debhelper-compat(=11) notation and drop d/compat.

 -- Holger Levsen <holger@debian.org>  Tue, 23 Oct 2018 17:28:04 +0200

saytime (1.0-29) unstable; urgency=medium

  * debian/control: switch packaging to salsa.debian.org. Thanks to the alioth
    admins for providing such a nice service so long!
  * Bump Standards Version to 4.1.4, no changes needed.
  * Bump debian/compat to 11 and require debhelper >= 11~.
  * Add "Rules-Requires-Root: no" debian/control to support building as
    non-root.

 -- Holger Levsen <holger@debian.org>  Tue, 24 Apr 2018 02:46:35 -0300

saytime (1.0-28) unstable; urgency=medium

  * Bump Standards Version to 4.1.0, no changes needed.
  * Bump debian/compat to 10 and build-depend on debhelper >= 10.2.5~.
  * Make dependency on sox unversioned, even wheezy has 14.4.

 -- Holger Levsen <holger@debian.org>  Wed, 13 Sep 2017 13:46:19 +0200

saytime (1.0-27) unstable; urgency=medium

  * Bump Standards Version to 3.9.7, no changes needed.
  * Change Vcs-Browser: URL from /gitweb to git/ in debian/control.

 -- Holger Levsen <holger@debian.org>  Thu, 04 Feb 2016 10:39:34 +0100

saytime (1.0-26) unstable; urgency=low

  * Fix Vcs-Browser: URL in debian/control.
  * Bump Standards Version to 3.9.5, no changes needed.

 -- Holger Levsen <holger@debian.org>  Sat, 02 Aug 2014 20:26:58 +0200

saytime (1.0-25) unstable; urgency=low

  * Bump Standards Version to 3.9.4, no changes needed.
  * debian/rules:
    - switch to debhelper 9 style, simplefy everything.
    - drop debian/patches/101-587124-fix-Makefile.patch and
      debian/patches/102-Use-CFLAGS-when-building-saytime.patch as the
      upstream Makefile is not used anymore.

 -- Holger Levsen <holger@debian.org>  Wed, 15 May 2013 19:48:49 +0000

saytime (1.0-24) unstable; urgency=low

  * Patches thanks to Rob Browning:
    * Add alsa support: allow selection of output type via '-t' and
      update manpage. (Closes: #446519)
    * saytime.c: check for unhandled arguments.
    * Makefile: use CFLAGS when building saytime.
    * debian/control: add libsox-fmt-alsa as an alternate dependency.
  * Bump Standards Version to 3.9.3, no changes needed.
  * Update debian/copyright, mention new maintainer and git.

 -- Holger Levsen <holger@debian.org>  Mon, 19 Mar 2012 15:24:03 +0000

saytime (1.0-23) unstable; urgency=low

  * Add debian/patches/100-debian-saytime-1.0-21.patch to include lots of
    changes to saytime.c since 2002. Unfortunatly those changes were made as
    direct modifications to the file, without using debian/patches, so when I
    did my 1.0-22 upload in 2010, those changes got lost.
  * Fix "looks in /users/mag/games/sounds/audio/": set the correct directory
    in Makefile (Closes: #587124) - thanks to Gregor Herrmann for the patch.
  * saytime.1:
    - mention default format string. (Closes: #330414)
    - explain that the volume level switch is actually a volume factor switch.
      (Closes: #321522)
  * debian/control:
    - update Vcs-Headers as saytime is now maintained in git using
      collab-maint on Alioth.
    - add quilt to build-depends.
    - bump Standards Version to 3.9.2, no changes needed.
  * debian/rules:
    - use quilt.
    - add build-arch and build-indep targets, thanks lintian.
    - use dh_prep instead dh_clean -k, thanks lintian.
  * Set debian/source/format to 3.0 (quilt).
  * debian/compat: set to 8.
  * debian/saytime.prerm: Add debhelper token, thanks lintian.

 -- Holger Levsen <holger@debian.org>  Mon, 19 Dec 2011 15:58:38 +0100

saytime (1.0-22) unstable; urgency=low

  * New maintainer (Closes: #554253).
  * Include changes from previous NMU.
  * Bump Standards Version to 3.8.4, no changes needed.
  * Maintain the packaging in VCS on alioth using the collab-maint repository
    and add approriate Vcs headers to debian/control.
  * Depend on debhelper, set debian/compat to 5.
  * debian/rules: replace lots of custom code with appropriate debhelper
    calls.


=== debian/control ===
Source: saytime
Section: sound
Priority: optional
Maintainer: Holger Levsen <holger@debian.org>
Build-Depends: sharutils, debhelper-compat (= 13)
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/saytime.git
Vcs-Browser: https://salsa.debian.org/debian/saytime

Package: saytime
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sox, libsox-fmt-oss | libsox-fmt-alsa, oss-compat
Description: speaks the current time through your sound card
 Say the current time through your sound card.  Requires you have a
 sound output device available.

=== debian/rules ===
#! /usr/bin/make -f
## debian/rules for saytime
## (C) 2001 Gergely Nagy <algernon@debian.org>
## (C) 2000-2013 Holger Levsen <holger@debian.org>
##
## Released under the terms of the GNU GPLv2.

-include /usr/share/dpkg/buildtools.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

## dpkg-buildpackage specific variables
PKGDIR   = $(CURDIR)/debian/saytime
BINDIR   = /usr/bin
SHAREDIR = /usr/share/saytime

%:
	dh $@

override_dh_auto_build:
	(cd debian && unshar sounds-david.shar)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -DSOUND_DIR="$(SHAREDIR)" saytime.c -o saytime

override_dh_auto_clean:
	dh_auto_clean
	rm -rf debian/sounds

override_dh_auto_install:
	dh_auto_install
	## The upstream makefile does not have an install target, so
	## copy the files by hand
	install -m 0755 saytime $(PKGDIR)/$(BINDIR)/saytime
	(cd debian && install -m 0644 sounds/*.au $(PKGDIR)/$(SHAREDIR)/)

## saytime 11nov1995

=== Makefile ===
# Makefile for saytime

#SOUND_DIR =	\"/usr/local/lib/saytime\"
SOUND_DIR =	\"/jef/times\"
#SOUND_DIR =	\"/home/ee/u0/jef/web/times\"

#BINDIR =	/usr/local/bin
BINDIR =	/home/ee/u0/www/bin

MANDIR =	/usr/local/man/man1

#DEFINES =	-DSOUND_DIR=$(SOUND_DIR)
DEFINES =	-DSOUND_DIR=$(SOUND_DIR) -DCGI
#DEFINES =	-DSOUND_DIR=$(SOUND_DIR) -DWRITE_STDOUT -DAUDIO_HEADER
#DEFINES =	-DSOUND_DIR=$(SOUND_DIR) -DWRITE_STDOUT


CC =		gcc
CFLAGS =	-O $(DEFINES)

#LDFLAGS =	-s
LDFLAGS =	-s -static

all:		saytime

saytime:	saytime.o
	$(CC) $(LDFLAGS) -o saytime saytime.o

.c.o:
	$(CC) $(CFLAGS) -c $<

install:        all
	rm -f $(BINDIR)/saytime
	cp saytime $(BINDIR)
	rm -f $(MANDIR)/saytime.1
	cp saytime.1 $(MANDIR)

clean:
	rm -f saytime *.o a.out core

## saytime 27jan2015

=== Makefile ===
--- 
+++ 
@@ -15,7 +15,7 @@
 #DEFINES =	-DSOUND_DIR=$(SOUND_DIR) -DWRITE_STDOUT
 
 
-CC =		gcc
+CC =		cc
 CFLAGS =	-O $(DEFINES)
 
 #LDFLAGS =	-s
